Subject: Re: [Bitcoin-development] Address Expiration to Prevent Reuse

From: Tom Harding <[email-masked]>
Date: Wed, 25 Mar 2015 11:44:00 -0700

On 3/25/2015 9:34 AM, Gregory Maxwell wrote:
>
>> address = 4HB5ld0FzFVj8ALj6mfBsbifRoD4miY36v_349366
> Assuming the sender is not an uncooperative idiot, you can simply
> include expiration information and the sender can refuse to send after
> that time.

Is this assuming payment protocol?  A major benefit of address
expiration, if it works, would be that it works without requiring
payment protocol. 

> If the sender is an uncooperative idiot, they can always change your
> target and send anyways.

Are you suggesting there is no implementation of address expiration that
wouldn't allow the string to be trivially changed by the sender?

>> Block containing tx invalid if a prior confirmed tx has paid address
> Requires a unprunable verification state.

I don't understand, explanation would be appreciated.